// --------------------------------------------------------------------------
// Calc
// --------------------------------------------------------------------------

.calc {
    margin: 0 -20px;
    @include breakpoint(md) {
        margin: 0 -45px;
    }
    @include breakpoint(lg) {
        margin: 0 -55px;
    }
    @include breakpoint(xl) {
        margin: 0 0 100px;
    }

}

.calc__desc {
    padding: 40px 20px;
    .calc__title {
        margin: 0;
    }
    @include breakpoint(md) {
        padding: 40px 55px;
    }
   
    @include breakpoint(xl) {
        padding: 100px 55px 40px;
    }
}

.calc__control {
    margin: 0;
}

.calc__control-btn {
    display: inline-block;
    vertical-align: top;
    font: 400 16px/20px $fontBase;
    letter-spacing: -0.2px;
    padding: 15px 32px;
    border: 1px solid #D4DDDE;
    background: #fff;
    color: #333;
    cursor: pointer;
    transition: 0.25s;
    &:hover, &.is-active {
        background: #F2F8F9;
        color: #00757E;
    }
    &.is-active {
        font-weight: 500;
    }
}

.calc__wrapper {
    position: relative;
    z-index: 1;
    background: linear-gradient(180deg, rgba(0, 82, 88, 0.8) -87.78%, rgba(0, 117, 126, 0.8) 14.44%, rgba(255, 255, 255, 0.352) 123.25%), #4E8F94;
    color: #fff;
    padding: 31px 20px 37px;
    &:after {
        content: '';
        display: block;
        position: absolute;
        top: 340px;
        right: -112px;
        background: url(../images/bg-calc-mobile.webp) no-repeat 0 0;
        background-size: contain;

        width: 198px;
        height: 178px;
        z-index: -1;
    }
    @include breakpoint(md) {
        padding: 41px 45px;
        &:after {
            background-image: url(../images/bg-calc-tablet.webp);
            width: 252px;
            height: 214px;
            top: 106px;
            left: 570px;
        }
    }

    @include breakpoint(lg) {
        padding: 50px 55px 76px;
        &:after {
            background-image: url(../images/bg-calc.webp);
            width: 434px;
            height: 402px;
            top: 0;
            left: 746px;
        }
    }
    @include breakpoint(xl) {
        padding: 55px 60px 98px;
        &:after {
            top: 35px;
            left: 812px;
            width: 454px;
            height: 372px;
        }
    }
}
.calc__content {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    opacity: 0;
    visibility: hidden;
    &.is-active {
        opacity: 1;
        visibility: visible;
        position: relative;
        transition: 0.7s;
    }
}
.calc__title {
    @extend .ui-title-33;
    font-weight: 400;
    margin: 0 0 27px;
    @include breakpoint(md) {
        margin: 0 0 23px;
    }
    @include breakpoint(lg) {
        margin: 0 0 38px;
    }
}

.calc__form {

    .ui-range {
        margin: 0 0 28px;
        &:last-child {
            margin: 0;
        }
    }
    .ui-total {
        margin: 0 0 36px;
    }

    @include breakpoint(md) {
        .ui-total {
            margin: 0 0 70px;
        }
    }

    @include breakpoint(lg) {
        .ui-range {
            margin: 0 0 38px;
        }
        .ui-total {
            margin: 0 0 80px;
        }
    }
    
}

.calc__form-wrapper {
    @include breakpoint(md) {
        display: flex;
    }
}

.calc__form-left {
    margin: 0 0 41px;
    @include breakpoint(md) {
        margin: 0 28px 0 0;
        flex: 0 0 328px;
    }
    @include breakpoint(lg) {
        flex: 0 0 364px;
        margin: 0 50px 0 0;
    }
}

.calc__form-right {
    flex: 1;
}

.calc__form-total {

}

.calc__form-action {
    text-align: center;
    @include breakpointMax(lg) {
        .ui-btn {
            padding-left: 20px;
            padding-right: 20px;
        }
    }
    @include breakpointMax(md) {
        .ui-btn {
            font-size: 22px;
            padding: 18px 35px;
            height: 68px;
        }
    }

    @include breakpoint(md) {
        text-align: left;
    }

    
}